package com.cool.store.enums.close;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 退款支付状态枚举类
 * </p>
 *
 * @author wangff
 * @since 2025/12/1
 */
@Getter
@AllArgsConstructor
public enum RefundPayStatusEnum {

    APPROVING("APPROVING", "审批中"),
    ABANDON("ABANDON", "作废"),
    SETTLEMENT("SETTLEMENT", "结算中"),
    PAY_SUCCESS("PAY_SUCCESS", "支付成功"),
    PAY_FAIL("PAY_FAIL", "支付失败"),
    ;

    private final String status;

    private final String desc;

    public static String getDescByStatus(String status) {
        for (RefundPayStatusEnum value : values()) {
            if (value.status.equals(status)) {
                return value.desc;
            }
        }
        return "";
    }
}
